package examenes.examen20250131.ejercicio04;

import examenes.examen20250131.ejercicio04.listener.CheckeadorNums;
import examenes.examen20250131.ejercicio04.listener.NumNegativoEvent;
import examenes.examen20250131.ejercicio04.listener.NumeroNegativoListener;

public class Matematico implements NumeroNegativoListener {
    public Matematico() {
        CheckeadorNums.addNumNegativoListener(this);
    }

    @Override
    public void numeroNegativo(NumNegativoEvent event) {
        System.out.println("Soy un matemático y he visto que el número " + event.getNumero() + " es negativo.");
    }
}
